package de.ivu.elect.business.wahlvorschlag.entity;

import java.io.Serializable;

public class ZulassungsvorschlagSetzerErgebnis implements Serializable {

  private int wahlvorschlaegeZugelassen = 0;

  private int listenkandidaturenZugelassen = 0;

  public ZulassungsvorschlagSetzerErgebnis() {
    wahlvorschlaegeZugelassen = 0;
    listenkandidaturenZugelassen = 0;
  }

  public void incrementWahlvorschlaegeZugelassen() {
    wahlvorschlaegeZugelassen++;
  }

  public void incrementListenkandidaturenZugelassen() {
    listenkandidaturenZugelassen++;
  }

  public void addWahlvorschlaegeZugelassen(int value) {
    wahlvorschlaegeZugelassen += value;
  }

  public void addListenkandidaturenZugelassen(int value) {
    listenkandidaturenZugelassen += value;
  }

  public int getWahlvorschlaegeZugelassen() {
    return wahlvorschlaegeZugelassen;
  }

  public void setWahlvorschlaegeZugelassen(int wahlvorschlaegeZugelassen) {
    this.wahlvorschlaegeZugelassen = wahlvorschlaegeZugelassen;
  }

  public int getListenkandidaturenZugelassen() {
    return listenkandidaturenZugelassen;
  }

  public void setListenkandidaturenZugelassen(int listenkandidaturenZugelassen) {
    this.listenkandidaturenZugelassen = listenkandidaturenZugelassen;
  }

}